{% extends 'base.html.twig' %}

{% block title %}Auteur{% endblock %}

{% block body %}
    <h1>{{ user.prenom }} {{ user.nom }}</h1>

    <table class="table">
        <thead>
        <tr>
            <th>Titre</th>
            <th>Résumé</th>
        </tr>
        </thead>
        <tbody>
        {% for histoire in user.histoires %}
            <tr>
                <td>{{ histoire.titre }}</td>
                <td>{{ histoire.pitch }}</td>
                <td> {% if is_granted(constant('App\\Security\\AppAccess::HISTOIRE_EDITER'), histoire) %}
                        <a href="{{ path('histoire_edit', {'id': histoire.id}) }}">editer</a>
                    {% endif %}
                    {% if is_granted(constant('App\\Security\\AppAccess::HISTOIRE_SUPPRIMER'), histoire) %}
                        <a href="{{ path('histoire_delete', {'id': histoire.id}) }}">supprimer</a>
                    {% endif %}</td>
            </tr>
        {% else %}
            <tr>
                <td colspan="3">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}